use crate::app::App;
use crate::theme::onedark::ONE_DARK;

pub mod tabs;

impl<'a> eframe::App for App<'a> {
    fn update(&mut self, ctx: &egui::Context, _frame: &mut eframe::Frame) {
        let frame = egui::Frame::default().fill(ONE_DARK.bg);

        // Display the top bar of tabs
        tabs::display_tabs(&mut self.tab_state, ctx, &frame);

        // Display tabs for main UI
        match self.tab_state.get_current_tab() {
            Some(tab) => tab.display_tab(ctx, &frame),

            // What to do if the tab is not available
            _ => (),
        }
    }
}
