use super::Tab;

#[derive(Debug, Default, PartialEq, Eq)]
pub struct MetarTab {
    pub icaos: Vec<String>,
    pub metars: Vec<String>,
}

impl Tab for MetarTab {
    fn display_tab(&mut self, ctx: &egui::Context, frame: &egui::Frame) {
        egui::CentralPanel::default().frame(*frame).show(ctx, |ui| {
            for icao in self.icaos.iter_mut() {
                ui.text_edit_singleline(icao);
            }

            if ui.button("Add More").clicked() || ui.input(|i| i.key_pressed(egui::Key::Tab)) {
                self.icaos.push("".to_string());
            }
        });
    }
}
